
<div class="title-component">
    <h3 mat-dialog-title>{{titleModal}}</h3>
</div>
<form>
    <div mat-dialog-content>
        <div class="row wrap">
            <div class="col-12 text-aling-center">
                <mat-form-field dividerColor="primary" class="width-size">
                    <input [formControl]="validateFilters.get('service')" #service matInput 
                    placeholder="Servicio" maxlength="50" autocomplete="off"
                    (input)="validateSize('Servicio', validateFilters.get('service').value, 50)">
                    <mat-error *ngIf="formValidator.service.errors">
                        <div *ngIf="formValidator.service.errors?.maxlength">
                            Solo se permiten 100 caracteres
                        </div>
                        <div *ngIf="formValidator.service.errors?.validacion">
                            {{ formValidator.service.errors.validacion.message }}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>
            <div class="col-12 text-aling-center" *ngIf="statusActivated">
                <mat-form-field class="width-size">
                    <mat-select placeholder="Seleccionar estado" #state [formControl]="validateFilters.get('state')">
                        <mat-option *ngFor="let option of filterOptions" [value]="option.value">
                            {{option.label}}
                        </mat-option>
                    </mat-select>
                    <mat-error *ngIf="formValidator.state.errors?.required">Este campo es obligatorio</mat-error>
                </mat-form-field>
            </div>
        </div>
        <div mat-dialog-actions class="justify-center">
            <button mat-raised-button color="warn" mat-dialog-close class="space-buttom ">Cancelar</button>
            <button mat-raised-button color="primary" (click)="option();" type="submit" class="space-buttom">Guardar</button>
        </div>
    </div>
</form>